%{!?python_sitelib: %define python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

#
# We wish we could support only python2.6+ because it has all the things
# we need.  However, el5 comes with python2.4.  When we detect el5, build
# an RPM that expects the extra packages needed to augment python2.4.
# Otherwise, just require python2.6.
#
%{!?python_require: %define python_require %(sh -c 'if test "%{?dist}" = ".el5"; then echo 2.4; else echo 2.6; fi')}
%{!?python_require_json: %define python_require_json %(sh -c 'if test "%{?dist}" = ".el5"; then echo ", python-simplejson"; fi')}

Summary: Oracle Storage Connect Caller Library
Name: osc-sccaller
Version: 0.4.0
Release: 12%{?dist}
License: LGPLv2.1
Group: Storage/StorageConnect
Source0: %{name}-%{version}.tar.bz2

Patch1: dummy.patch
Patch2: patch3191.patch_24152
Patch3: added-listFiles-call.patch
Patch4: patch6402.patch
Patch5: clone-create-fixes.patch
Patch6: device_teardown.patch
Patch7: remove-trailing-blank-line.patch
Patch8: async_support.patch
Patch9: cache_support.patch
Patch10: scrub-password-before-logging.patch
Patch11: deviceResize.patch
Patch12: traceback.patch
# End Oracle Patches

URL: http://oss.oracle.com/projects/sccaller/
BuildArch: noarch
BuildRequires: python
Requires: python >= %{python_require} %{python_require_json}
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
Storage Connect Caller is a generic library frontend to SAN and NAS storage
 servers.

%prep
%setup
%patch1 -p0 
%patch2 -p0
%patch3 -p0
%patch4 -p0
%patch5 -p0
%patch6 -p0
%patch7 -p0
%patch8 -p0
%patch9 -p0
%patch10 -p0
%patch11 -p0
%patch12 -p0

%build

%install
rm -rf $RPM_BUILD_ROOT
python setup.py install --root="$RPM_BUILD_ROOT" --prefix=/usr

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root, -)
%doc COPYING
%{python_sitelib}/sccaller

%changelog
* Sun Jul 17 2011 Cathy Avery <cathy.avery@oracle.com> - 0.4.0-12 
- Added stack trace back to logger 

* Thu Jun 16 2011 Cathy Avery <cathy.avery@oracle.com> - 0.4.0-11 
- Added device resize [bug 12620020] 

* Tue May 17 2011 Zhigang Wang <zhigang.x.wang@oracle.com> - 0.4.0-10 
- scrub password before logging.
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Cathy Avery <cathy.avery@oracle.com> [bug 11813832] 

* Thu Mar 31 2011 Cathy Avery <cathy.avery@oracle.com> - 0.4.0-9 
- Added plugin cache support. 

* Mon Mar 28 2011 Cathy Avery <cathy.avery@oracle.com> - 0.4.0-8 
- Added async plugin support 

* Thu Mar 03 2011 Junjie Wei <junjie.wei@oracle.com> - 0.4.0-7 
- Remove the trailing blank line from the logged result. 

* Thu Feb 24 2011 Cathy Avery <cathy.avery@oracle.com> - 0.4.0-6 
- Added device tear down. 

* Tue Feb 15 2011 Wiekus Beukes <wiekus.beukes@oracle.com> - 0.4.0-5 
- Fixed create & clone calls 

* Fri Feb 04 2011 Wiekus Beukes <wiekus.beukes@oracle.com> - 0.4.0-4 
- Fixed issues with file level commands... 

* Thu Feb 03 2011 Wiekus Beukes <wiekus.beukes@oracle.com> - 0.4.0-3 
- Fixed problem where list cannot distinguish between ISA and IFS, new call listFiles introduced for this reason
   

* Wed Feb 02 2011 Wiekus Beukes <wiekus.beukes@oracle.com> - 0.4.0-2 
- Fixed issue with UNSUPPORTED features 

* Fri Jan 21 2011 Wiekus Beukes <wiekus.beukes@oracle.com> - 0.4.0-1 
- Update version to 0.4.0 

* Fri Jan 21 2011 Wiekus Beukes <wiekus.beukes@oracle.com> - 0.3.0-6 
- Sync up with latest GIT tree 

* Wed Jan 19 2011 Wiekus Beukes <wiekus.beukes@oracle.com> - 0.3.0-5 
- fixed up spec file

* Wed Jan 19 2011 Wiekus Beukes <wiekus.beukes@oracle.com> - 0.3.0-4 
- rm extra .spec file 

* Tue Jan 18 2011 Wiekus Beukes <wiekus.beukes@oracle.com> - 0.3.0-3 
- Synced up with fixes from the GIT tree 

* Fri Jan 07 2011 Joel Becker <joel.becker at oracle.com> - 0.3.0-1
- Fix asyncore bug.  Add filesystem operations.

* Thu Dec 23 2010 Joel Becker <joel.becker@oracle.com> - 0.2.0-2 
- osc-sccaller: Update to 0.2.0 code.
  Update the exploded tree.
  Signed-off-by: Joel Becker <joel.becker@oracle.com> 

* Thu Dec 23 2010 Joel Becker <joel.becker at oracle.com> - 0.2.0-1
- Update for 1.2.7 plug-in specification.

* Sat Oct 23 2010 Joel Becker <joel.becker at oracle.com> - 0.1.0-1
- Initial package.

